For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sample appsIntegrationsDiscordPlaygroundDevEx repo
GuidesSDK ReferenceAPI Reference
GuidesSDK ReferenceAPI Reference
  • TwelveLabs API
    • Introduction
    • Authentication
  • API Reference
    • Manage indexes
    • Upload content
    • Index content
    • Manage videos
    • Manage entities
      • GETList entity collections
      • POSTCreate an entity collection
      • GETRetrieve an entity collection
      • PATCHUpdate an entity collection
      • DELDelete an entity collection
      • GETList entities in an entity collection
      • POSTCreate an entity
      • POSTCreate multiple entities in bulk
      • GETRetrieve an entity
      • PATCHUpdate an entity
      • DELDelete an entity
      • POSTAdd assets to an entity
      • DELRemove assets from an entity
      • GETList entities for an asset
    • Any-to-video search
    • Create embeddings v2
    • Create embeddings v1
    • Analyze and segment videos
    • Error codes
LogoLogo
Sample appsIntegrationsDiscordPlaygroundDevEx repo
API ReferenceManage entities

Retrieve an entity collection

GET
https://api.twelvelabs.io/v1.3/entity-collections/:entity_collection_id
GET
/v1.3/entity-collections/:entity_collection_id
$curl https://api.twelvelabs.io/v1.3/entity-collections/6298d673f1090f1100476d4c \
> -H "x-api-key: <apiKey>"
1{
2 "_id": "6298d673f1090f1100476d4c",
3 "name": "My Collection",
4 "description": "My first collection",
5 "created_at": "2022-06-02T10:30:00Z",
6 "updated_at": "2022-06-02T10:30:00Z"
7}
This method retrieves details about the specified entity collection.
Was this page helpful?
Previous

Update an entity collection

Next
Built with

Authentication

x-api-keystring

Your API key.

Note

You can find your API key on the API Keys page.

Path parameters

entity_collection_idstringRequired
The unique identifier of the entity collection to retrieve.

Response

The entity collection has been successfully retrieved.
_idstring
The unique identifier of the entity collection.
namestring
The name of the entity collection.
descriptionstring
The description of the entity collection.
created_atstringformat: "date-time"

The date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity collection was created.

updated_atstringformat: "date-time"

The date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity collection was last updated.

Errors

400
Bad Request Error